/* struct.h
 * $Id: struct.h,v 1.2 1994/10/08 16:43:00 hirofumi Rel hirofumi $
 */

#ifndef struct_h
#define struct_h

#ifndef _XLIB_H
#include <X11/Xlib.h>
#endif

#ifndef _XtIntrinsic_h
#include <X11/Intrinsic.h>
#endif

#ifndef _XtAtom_h_
#include <X11/StringDefs.h>
#endif

#ifndef gentype_h
#include "gentype.h"
#endif


#define strequ(a,b)	(strcmp((a),(b)) == 0)
#define strtail(s)	((s) + strlen(s))

#define S(x)	(1 << (x))

typedef struct {
	String name;
	Pixel fg, bg;
	Font ank;
	String identifier;
	Bool clearfull;
	Bool dispResults;
	Cursor cursor;
	Cursor menucursor;
	unsigned int mapSizeX;
	unsigned int mapSizeY;
} AppData, *AppDataPtr;

/* External Variables */

extern AppData appData;

extern Widget toplevel;
extern Display *d;
extern Window r, w;

#define BMS	32

/* Executing mode */
typedef enum { EM_Beginner = 0, EM_Intermidiate, EM_Expert, EM_Other =-1 } EM_MODE;
extern EM_MODE mode;

#if HIGH_SCORE
extern Window highscore;
extern GC highscgc;
#endif

extern XFontStruct *fs;
extern int menuheight;
extern time_t done;
extern time_t start;

#endif
