.TH Yamsweeper 1x " 3 Nov 1994 " "" "User Commands"
.SH NAME
yamsweeper - Yet Another Mine Sweeper
.SH SYNOPSIS
.B yamsweeper
[
.B -options
]

.SH OPTION
Xtoolkit options +
.TP
.B -V
display version
.TP
.B -dr
allow yamsweeper to show 'congraturations' window when you clear the game
.TP
.B -x #
specify the horizontal size of the window
.TP
.B -y #
specify the vertical size of the window;
do
.B not
specify too small value
.TP
.B -h
help

.SH EXAMPLE

yamsweeper -display koko:0 -x 16 -y 16


.SH DESCRIPTION
.LP
Yamsweeper is a game to clear the field filled with bombs (mines).

On the left top corner of the main window,
the number of mines left is displayed.
You can mark hidden mines underneath the panels, then
the number is decreased.
The number can be minus, but that means you have over-marked.

On the right top corner, the time passed is displayed.
The time counts up to 999 seconds.

On center top, there's the symbol of yamsweeper.
You can start a new game by clicking this symbol.

A panel is opened with the left mouse button.
If panels not opened are around the panel, and
if they don't have mines underneith and around them,
panels are also opened.
This can be happened like chain reaction.
.br
But be carefull; 
the game is over when you open a mine.

If the panel opened has mines around,
you will see a number varies from 1 to 8, which means
the number of mines.
For example, `1' tells you one of the panels around
has a mine. `2' says that two mines are hidden next to.

You can mark suspicious panels by the right button.
The right button changes the state of the panel, as:

.RS
	Normal -> "Bomb" -> "?" -> Back to Normal -> ...
.RE

Once you mark a panel (as "Bomb" or "?"), it cannot be opened.
You have to click the panel until it becomes to Normal state.

The middle button is assigned a special functionality.
You can use the middle button to open the unmarked panels around,
under a certain condition.

.TP
1.
The panel you clicked is opened.
.TP
2.
The panel is not null, a number is displayed.
.TP
3.
the number of marked panels is equal to the number displayed on clicked panel.

Click the middle button on a opened panel.

.LP
.B CAUTION: 
Be aware that yamsweeper doesn't care the correctness of marking.
If you make even one incorrect mark, the world will be (*#&$ !


Yamsweeper has a simple menu.
From the menu, You can begin a new game, change the size of the window,
and quit the game.
If you configure Yamsweeper to keep high score, you can see top-tens.
To return to the game, just click the high score window.

.SH RESOURCES

.TP
.B name
Value (Default)
.TP
.B name:
window title (Yet another Mine Sweeper)
.TP
.B foreground:
foreground color (black)
.TP
.B background:
background color (white)
.TP
.B font:
font name (ank16)
.TP
.B identifier:
environment variable to get user name (LOGNAME)
.TP
.B mapSizeX (8)
the default horizontal size of the window
.TP
.B mapSizeY (8)
the default vertical size of the window


.SH HIGH SCORE
If you answer "yes" to the question of high-scoring from configure, 
Yamsweeper holds best tens of each level(beginner, intermidiate, expert).
Please read "INSTALL" carefully before installing Yamsweeper.


.SH BUG

The author is waiting any kind of report.

.SH CONDITIONS
You can freely use and distribute yamsweeper.
See Copyright notice in the sources.


.SH "AUTHOR"
.LP
Yamsweeper is written by Hirofumi Yamamoto
.IP
Internet: hirofumi@info.kawasaki-steel.co.jp
